Bug 532383 - pushing a package to brew with publican fails
pushing a package to brew with publican fails
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Hideo
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-01 19:08 EST by Ryan Lerch
Modified: 2014-10-19 18:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-26 00:00:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ryan Lerch 2009-11-01 19:08:50 EST
Description of problem:
publican fails when pushing a package to the brew build system. 

Version-Release number: publican 1.0

How reproducible: 100%

Steps to Reproduce: run "publican package --lang=en-US --brew"
  
Actual results:
the following error message is returned:
"""
Use of uninitialized value in system at /usr/bin/publican line 471.
Usage: brew build [options] target URL
(Specify the --help global option for a list of other help options)

brew: error: Exactly two arguments (a build target and a SCM URL or srpm file) are required
"""

Expected results:
the same as when running:
"publican package --lang=en-US --brew --scratch"
(which does work)


Additional info:
Comment 1 Jeff Fearn 2009-11-01 23:26:58 EST
There was a parameter being set to empty when scratch was not set, this caused the system call to fail. Restructured code to avoid setting empty parameters.
Comment 2 Fedora Update System 2009-11-17 21:17:46 EST
publican-1.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.2-0.fc12
Comment 3 Fedora Update System 2009-11-20 00:16:37 EST
publican-1.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-11-25 09:51:51 EST
publican-1.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.